Skip to content
On this page

Make MTN Customer Data Match Request. ​

Submits customer details in real time to perform an immediate data matching lookup against MTN system records.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/mtn-verify/api/v1/kyc-verify?v=1.0

Sandbox testing

See the Sandbox Context page for scoring behaviour and field rules.

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Request Body ​

INFO

All fields except phone number are optional.

NameTypeRequiredDescription
phoneNumberstringyesPhone number starting with prefix (256)
countrystringnoCountry name
nationalIdNumberstringnoNational ID number
surNamestringnoSurname
givenNamestringnoGiven name
emailAddressstringnoEmail address
streetAddressstringnoStreet address
citystringnoCity
postCodestringnoPost code

Example Request Body ​

Content type

application/json

json
{
	"phoneNumber": "256781289630",
	"country": "Uganda",
	"nationalIdNumber": "CF942YG108HGRE",
	"surName": "JORINE",
	"givenName": "SYLVIA",
	"emailAddress": "jorine.sylvia@example.com",
	"streetAddress": "123 Kampala Road",
	"city": "Kampala",
	"postCode": "256"
}
{
	"phoneNumber": "256781289630",
	"country": "Uganda",
	"nationalIdNumber": "CF942YG108HGRE",
	"surName": "JORINE",
	"givenName": "SYLVIA",
	"emailAddress": "jorine.sylvia@example.com",
	"streetAddress": "123 Kampala Road",
	"city": "Kampala",
	"postCode": "256"
}

Response ​

Response Values ​

NameTypeDescription
idstring (uuid)The unique id for the request
createdAtstring (date-time)Date the request was created.
statusstring (Enum: Pending, Completed, Error)The status of the execution
sentAtstring (date-time)Date the request was sent.
processedAtstring (date-time)Date at which the verification request was processed.
statusMessagestringStatus message from the verification service
supportMessagestringSupport message from the verification service
initiatorstringThe unique Id for the request initiator
lastUpdatedstring (date-time)Date the request was last updated
dataobjectThe verification results for each scorable identity field

data ​

NameTypeDescription
surNamestringSurname
surNameVerificationScoreintegerSurname verification score
givenNamestringGiven name
givenNameVerificationScoreintegerGiven name verification score
phoneNumberstringPhone number
phoneNumberVerificationScoreintegerPhone number verification score
emailAddressstringEmail address
emailAddressVerificationScoreintegerEmail address verification score
nationalIdNumberstringNational ID number
nationalIdNumberVerificationScoreintegerNational ID number verification score
streetAddressstringStreet address
streetAddressVerificationScoreintegerStreet address verification score
citystringCity
cityVerificationScoreintegerCity verification score
postCodestringPost code
postCodeVerificationScoreintegerPost code verification score
countrystringCountry
countryVerificationScoreintegerCountry verification score

Example Response Body ​

Content type

application/json

json
{
	"statusMessage": "Success.",
	"supportMessage": null,
	"data": {
		"surName": "JORINE",
		"surNameVerificationScore": 100,
		"givenName": "SYLVIA",
		"givenNameVerificationScore": 100,
		"phoneNumber": "256781289630",
		"phoneNumberVerificationScore": 100,
		"emailAddress": "",
		"emailAddressVerificationScore": -1,
		"nationalIdNumber": "CF94068108HGXG",
		"nationalIdNumberVerificationScore": 100,
		"streetAddress": "",
		"streetAddressVerificationScore": -1,
		"city": "",
		"cityVerificationScore": -1,
		"postCode": "",
		"postCodeVerificationScore": -1,
		"country": "Uganda",
		"countryVerificationScore": 100
	},
	"status": "Successful",
	"sentAt": "2026-08-27T13:05:58.4307552Z",
	"processedAt": "2026-08-27T13:05:50.6377905Z",
	"initiator": "fbaf86d684e643dba131c05bede98b2f",
	"id": "01a04353-c2c7-7564-beaa-697f5b5fb020",
	"createdAt": "2026-08-27T16:05:50.6364498Z",
	"lastUpdated": "2026-08-27T16:06:04.8418887Z"
}
{
	"statusMessage": "Success.",
	"supportMessage": null,
	"data": {
		"surName": "JORINE",
		"surNameVerificationScore": 100,
		"givenName": "SYLVIA",
		"givenNameVerificationScore": 100,
		"phoneNumber": "256781289630",
		"phoneNumberVerificationScore": 100,
		"emailAddress": "",
		"emailAddressVerificationScore": -1,
		"nationalIdNumber": "CF94068108HGXG",
		"nationalIdNumberVerificationScore": 100,
		"streetAddress": "",
		"streetAddressVerificationScore": -1,
		"city": "",
		"cityVerificationScore": -1,
		"postCode": "",
		"postCodeVerificationScore": -1,
		"country": "Uganda",
		"countryVerificationScore": 100
	},
	"status": "Successful",
	"sentAt": "2026-08-27T13:05:58.4307552Z",
	"processedAt": "2026-08-27T13:05:50.6377905Z",
	"initiator": "fbaf86d684e643dba131c05bede98b2f",
	"id": "01a04353-c2c7-7564-beaa-697f5b5fb020",
	"createdAt": "2026-08-27T16:05:50.6364498Z",
	"lastUpdated": "2026-08-27T16:06:04.8418887Z"
}

Tech Served Right